Bug 155075 - Register XChat in gnome url handlers
Register XChat in gnome url handlers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 19:51 EDT by Mephisto
Modified: 2008-05-06 20:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mephisto 2005-04-15 19:51:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Xchat should register itself for irc:// urls in gconf's url handler list. since firefox seems to use this (other types work), this would allow users to click on irc:// links in web pages to connect xchat to the specified irc server.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install xchat...
2.
3.
  

Actual Results:  irc:// protocol is not registered

Expected Results:  irc:// protocol should have been registered.

Additional info:
Comment 1 Warren Togami 2005-06-10 06:11:31 EDT
Hey Ray, what is the proper way of installing a gconf key from a package?  I'm
guessing this means ship some XML schema and install it during %post?
Comment 2 Ray Strode [halfline] 2005-06-10 10:48:22 EDT
The general procedure is to wrap make install list

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

then in %post to do
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

SCHEMAS="foo.schema bar.schema ..."
for S in $SCHEMAS; do
   gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
Comment 3 Bug Zapper 2008-04-03 12:05:50 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:08:47 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.